org.eclnt.jsfserver.portlet

## Class PortletIntegrator

- java.lang.Object
- - GenericPortlet
  - - org.eclnt.jsfserver.portlet.PortletIntegrator

-     public class PortletIntegrator
      extends GenericPortlet

  Generic protlet inetgrator: the CaptainCasa application will be started as applet within an IFRAME. Page name and page attributes can be passed by specifying a corresponding portlet.xml file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CCLASTPORTLETREQUEST`
    `static java.lang.String` | `CCPORTLETSESSIONID`
    `static java.lang.String` | `PREF_CCPAGE`
    `static java.lang.String` | `PREF_MAXHEIGHT`
    `static java.lang.String` | `PREF_MAXWIDTH`
    `static java.lang.String` | `PREF_NORMALHEIGHT`
    `static java.lang.String` | `PREF_NORMALWIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortletIntegrator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doView(RenderRequest request, RenderResponse response)`
    `static PortletContext` | `getCurrentPortletContext()`
    `static PortletRequest` | `getCurrentPortletRequest()`
    `static java.lang.String` | `getCurrentPortletSessionId()`
    `static PortletConfig` | `getCurrenttPortletConfig()`
    `void` | `init()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREF_CCPAGE

          public static java.lang.String PREF_CCPAGE

    - #### PREF_NORMALWIDTH

          public static java.lang.String PREF_NORMALWIDTH

    - #### PREF_NORMALHEIGHT

          public static java.lang.String PREF_NORMALHEIGHT

    - #### PREF_MAXWIDTH

          public static java.lang.String PREF_MAXWIDTH

    - #### PREF_MAXHEIGHT

          public static java.lang.String PREF_MAXHEIGHT

    - #### CCPORTLETSESSIONID

          public static java.lang.String CCPORTLETSESSIONID

    - #### CCLASTPORTLETREQUEST

          public static java.lang.String CCLASTPORTLETREQUEST

  - ### Constructor Detail

    - #### PortletIntegrator

          public PortletIntegrator()

  - ### Method Detail

    - #### init

          public void init()
                    throws PortletException

      Throws:
        `PortletException`

    - #### getCurrentPortletContext

          public static PortletContext getCurrentPortletContext()

    - #### getCurrenttPortletConfig

          public static PortletConfig getCurrenttPortletConfig()

    - #### getCurrentPortletRequest

          public static PortletRequest getCurrentPortletRequest()

    - #### getCurrentPortletSessionId

          public static java.lang.String getCurrentPortletSessionId()

    - #### doView

          protected void doView(RenderRequest request,
                                RenderResponse response)
                         throws PortletException,
                                java.io.IOException

      Throws:
        `PortletException`
        `java.io.IOException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.